ThinkGeo.com    |     Blog    |     Wiki    |     Support

Adding PostgreSQL layer does not work

When I click “Connect” in the “Connect to Postgre Sql database” window, I get an error “Database can’t be null”. There is no mechanism to enter a database name before clicking “Connect”.

Hi Clemens,

I think that’s because the database version.

It looks the GisEditor project reference a package MapSuiteDependency-Npgsql, and it’s a little old.

Our developer will did more research and test to see whether we can upgrade the package to support newer version database.

Regards,

Ethan